Bug 76909

Summary: rpm gives obscure error messages on athlon computers
Product: [Retired] Red Hat Linux Reporter: Vidar Langseid <vl>
Component: rpmAssignee: Jeff Johnson <jbj>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: 8.0CC: chris.ricker
Target Milestone: ---   
Target Release: ---   
Hardware: athlon   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2002-11-01 14:20:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Vidar Langseid 2002-10-29 09:24:48 UTC
Description of Problem:
Looks like rpm gives obscure errormessages when trying
to install a corrupted rpm on athlon systems

Try the following on pentium 4 computers:
[root@localhost root]# echo "" > foobar.rpm
[root@localhost root]# rpm -i foobar.rpm
error: foobar.rpm cannot be installed


However, when do the same on a athlon system you get this 
cryptic message:
[root@localhost root]# echo "" > foobar.rpm
[root@localhost root]# rpm -i foobar.rpm
foobar.rpm: read manifest failed: Success

I experienced this when I downloaded your updates from one (faulty) mirrorsite


Version-Release number of selected component (if applicable):


How Reproducible:
always

Comment 1 Jeff Johnson 2002-11-01 14:20:26 UTC
FWIW, the code path traveled does not
need or use arch, so the "athlon" information
is a red herring.

What version of rpm? Same on both platforms?

Comment 2 Jeff Johnson 2002-11-16 20:07:11 UTC
Closed for lack of input.